summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-strategy/lightyears
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-strategy/lightyears')
-rw-r--r--games-strategy/lightyears/Manifest1
-rw-r--r--games-strategy/lightyears/files/lightyears-1.4-gentoo.patch45
-rw-r--r--games-strategy/lightyears/lightyears-1.4-r1.ebuild53
-rw-r--r--games-strategy/lightyears/metadata.xml10
4 files changed, 109 insertions, 0 deletions
diff --git a/games-strategy/lightyears/Manifest b/games-strategy/lightyears/Manifest
new file mode 100644
index 00000000000..9120981ef2c
--- /dev/null
+++ b/games-strategy/lightyears/Manifest
@@ -0,0 +1 @@
+DIST lightyears-1.4.tar.bz2 693877 SHA256 add4a8dea58af1e1ba69db3c0b1271312107c18e84b91a9dbb7162e92a1b078e SHA512 68f576d820d54b353adbc504f8aa3341547e2e56474717cc59aecc2368fc0eb533458e09876b3cd2a9062914a8a58d39a35ce944256372bb9e15830210924597 WHIRLPOOL d112a9b98ed5997fb2835d3b7b114ff735536a1b888d5d88911e57d55d7f35086a3e05f29e3ac1054e25b557cf52a4b07c0407989a646cc8f8be5fccc97c6788
diff --git a/games-strategy/lightyears/files/lightyears-1.4-gentoo.patch b/games-strategy/lightyears/files/lightyears-1.4-gentoo.patch
new file mode 100644
index 00000000000..063dbab3c1e
--- /dev/null
+++ b/games-strategy/lightyears/files/lightyears-1.4-gentoo.patch
@@ -0,0 +1,45 @@
+--- lightyears
++++ lightyears
+@@ -1,7 +1,6 @@
+ #!/usr/bin/python
+
+ # Set the location of the LightYears files here:
+-LIGHTYEARS_DIR = "."
+ # LIGHTYEARS_DIR = "/usr/share/games/lightyears" # (for Debian)
+
+ # Save games and configuration files are stored in the user's
+@@ -10,31 +9,6 @@
+ import sys, os
+
+ if __name__ == "__main__":
+- # Path to data/code dir can be overridden by environment variable
+- LIGHTYEARS_DIR = os.environ.get("LIGHTYEARS_DIR", LIGHTYEARS_DIR)
+-
+- # Path does not exist? Try current directory.
+- if ((LIGHTYEARS_DIR == None)
+- or (not os.path.isdir(LIGHTYEARS_DIR))
+- or (not os.path.isfile(os.path.join(LIGHTYEARS_DIR,
+- 'code', 'startup.py')))):
+- LIGHTYEARS_DIR = os.getcwd()
+-
+- # Paths obtained
+- sys.path.insert(0, os.path.join(LIGHTYEARS_DIR, 'code'))
+- data_dir = os.path.join(LIGHTYEARS_DIR, 'data')
+-
+- # Go
+- try:
+- import startup
+- assert os.path.isdir(data_dir)
+- except:
+- print "Unable to find LightYears code & data in:"
+- for p in sys.path:
+- print ' ', p
+-
+- sys.exit(1)
+-
+- startup.Main(data_dir)
+-
+-
++ sys.path.insert(0, "@GENTOO_LIBDIR@")
++ import startup
++ startup.Main("@GENTOO_DATADIR@/data")
diff --git a/games-strategy/lightyears/lightyears-1.4-r1.ebuild b/games-strategy/lightyears/lightyears-1.4-r1.ebuild
new file mode 100644
index 00000000000..d9bfe35bfdd
--- /dev/null
+++ b/games-strategy/lightyears/lightyears-1.4-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit eutils python-single-r1 games
+
+DESCRIPTION="a single-player game with a science-fiction theme"
+HOMEPAGE="http://www.jwhitham.org/20kly/"
+SRC_URI="http://www.jwhitham.org/20kly/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-python/pygame[${PYTHON_USEDEP}]
+ ${PYTHON_DEPS}"
+RDEPEND=${DEPEND}
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}"-gentoo.patch
+ sed -i \
+ -e "s:@GENTOO_LIBDIR@:$(games_get_libdir)/${PN}:" \
+ -e "s:@GENTOO_DATADIR@:${GAMES_DATADIR}/${PN}:" \
+ ${PN} || die
+ python_fix_shebang .
+}
+
+src_install() {
+ dogamesbin ${PN}
+
+ insinto "$(games_get_libdir)/${PN}"
+ doins code/*.py
+
+ dodoc README.txt
+
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r audio data manual
+
+ python_optimize "${D}$(games_get_libdir)/${PN}"
+
+ newicon data/32.png ${PN}.png
+ make_desktop_entry ${PN} "Light Years Into Space"
+ prepgamesdirs
+}
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+ games_pkg_setup
+}
diff --git a/games-strategy/lightyears/metadata.xml b/games-strategy/lightyears/metadata.xml
new file mode 100644
index 00000000000..72ac0f76419
--- /dev/null
+++ b/games-strategy/lightyears/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+<longdescription lang="en">
+"20,000 Light Years Into Space" was written for Pyweek (March 2006) by Jack
+Whitham. It is a single-player real-time strategy game with a science-fiction
+theme.
+</longdescription>
+</pkgmetadata>